Api reference
List envelopes
Returns paginated envelope list items. Storage keys and other internal fields are intentionally redacted by the response mapper.
GET
/workspaces/{workspaceId}/envelopesAuthorization
bearer AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X GET "https://loading/workspaces/{workspaceId}/envelopes"{
"success": true,
"statusCode": 100,
"message": "string",
"details": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string",
"responseTime": "string",
"meta": {
"currentPage": 1,
"totalPages": 0,
"totalItems": 0,
"itemsPerPage": 1
},
"data": [
{
"id": "string",
"workspaceId": "string",
"templateId": "string",
"title": "string",
"message": "string",
"status": "DRAFT",
"externalId": "string",
"pageCount": 0,
"expiresAt": "2019-08-24T14:15:22Z",
"sentAt": "2019-08-24T14:15:22Z",
"completedAt": "2019-08-24T14:15:22Z",
"voidedAt": "2019-08-24T14:15:22Z",
"voidReason": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"canReopenForEdit": true,
"reopenBlockedReason": "NONE",
"hasSigningActivity": true,
"workspace": {
"id": "string"
},
"template": {
"id": "string",
"title": "string"
},
"recipients": [
{
"id": "string",
"name": "string",
"email": "user@example.com",
"role": "SIGNER",
"order": 1,
"status": "PENDING",
"invitedAt": "2019-08-24T14:15:22Z",
"viewedAt": "2019-08-24T14:15:22Z",
"signedAt": "2019-08-24T14:15:22Z",
"declinedAt": "2019-08-24T14:15:22Z",
"declineReason": "string"
}
]
}
]
}Empty
Empty